import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:common_pub/ui/history_detail/trace_bar.dart';

class HomeController extends GetxController with GetTickerProviderStateMixin {
  final selectMapName = ''.obs;
  late final TabController tabController;
  late final traceController = TraceBarController();

  @override
  void onInit() {
    super.onInit();
    tabController = TabController(length: 7, initialIndex: 1,vsync: this);
  }

  @override
  void onClose() {
    super.onClose();
    tabController.dispose();
  }
}
